<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:background="@color/ui_surface"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/strategy_select_game_rl"
            android:layout_width="136dp"
            android:layout_height="32dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="12dp"
            android:background="@drawable/button_border_blue_oval"
            android:gravity="center">

            <TextView
                android:id="@+id/strategy_game_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:includeFontPadding="false"
                android:paddingRight="4dp"
                android:text="@string/news_concenrn_game_mine"
                android:textColor="@color/text_theme"
                android:textSize="14sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@+id/strategy_game_name"
                android:src="@drawable/ic_followed_game" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/strategy_refresh"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/strategy_rv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

            <include
                android:id="@+id/reuse_loading"
                layout="@layout/reuse_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true" />

            <include
                android:id="@+id/reuse_none_data"
                layout="@layout/reuse_none_data" />

            <include
                android:id="@+id/reuse_no_connection"
                layout="@layout/reuse_no_connection" />

            <include
                android:id="@+id/reuse_data_exception"
                layout="@layout/reuse_data_exception" />
        </RelativeLayout>

    </LinearLayout>

    <View
        android:id="@+id/popup_bg"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg_popup"
        android:visibility="gone" />
</RelativeLayout>